ULS Settings not getting saved
Closed, ResolvedPublic

Description

Author: sonara.arnav

Description:
On Wikidata, if a user enables IME and selects "Gujarati Inscript" for input then after refreshing the page, the settings won't save.

User will once again have to enable IME and select the required input.


Version: unspecified
Severity: normal

bzimport set Reference to bz41763.
bzimport created this task.Via LegacyNov 4 2012, 12:26 PM
santhosh added a comment.Via ConduitNov 19 2012, 4:29 AM

This was fixed in gerrit I80eddfe7

Amire80 added a comment.Via ConduitDec 5 2012, 5:51 PM

Reopening. For logged-in users it works within one page, but all the prefs are reset after going to another page.

It looks like the 'uls-preferences' preference cannot actually be easily saved using the current API. $wgDefaultUserOptions and $wgHiddenPrefs cannot help here, because the options API validates the option names using the Special:Prefs form, but we don't want these prefs to appear in that form.

Does anybody have clever ideas that don't involve dirty hacks and core changes?

siebrand added a comment.Via ConduitDec 5 2012, 6:40 PM

(In reply to comment #2)

$wgDefaultUserOptions and $wgHiddenPrefs cannot help
here, because the options API validates the option names using the
Special:Prefs form, but we don't want these prefs to appear in that form.

Does anybody have clever ideas that don't involve dirty hacks and core
changes?

Add a hook in the options API, so you can register "API only" options in extensions. That seems to be the cleaner solution.

Amire80 added a comment.Via ConduitJan 9 2013, 2:19 PM

The patches were merged.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.